List projects of an organization
get
/v2/organizations/{slug}/projectsReturns a cursor-paginated list of projects for the specified organization, including their databases.
Use page[after] and page[before] to navigate pages and page[size] to control the number of projects returned per page.
OAuth scopes
- projects:read
The fine-grained token must include the following permissions to access this endpoint:
- organization_projects_read
Path parameters
- slugRequiredstring
Organization slug
Query parameters
- pageOptionalobject
- sortOptionalenum
Sort order by creation time:
inserted_at(oldest first) or-inserted_at(newest first). Defaults toinserted_at. - searchOptionalstring
Case-insensitive substring match on the project name.
Response codes
- 200
- 401
- 403
- 429
Response (200)
1{2 "data": [3 {4 "type": "project",5 "id": "abcdefghijklmnopqrst",6 "attributes": {7 "name": "lorem",8 "status": "INACTIVE",9 "cloud_provider": "lorem",10 "region": "lorem",11 "inserted_at": "lorem",12 "databases": [13 {14 "cloud_provider": "lorem",15 "identifier": "lorem",16 "region": "lorem",17 "status": "ACTIVE_HEALTHY",18 "type": "PRIMARY",19 "infra_compute_size": "pico",20 "disk_volume_size_gb": 42,21 "disk_type": "gp3",22 "disk_throughput_mbps": 42,23 "disk_last_modified_at": "lorem"24 }25 ]26 }27 }28 ],29 "links": {30 "first": "/v2/organizations/my-org/projects?page[size]=10",31 "prev": "/v2/organizations/my-org/projects?page[size]=10&page[before]=019adf7d-4513-74c5-bb9a-f1bc0f7a95d7",32 "next": "/v2/organizations/my-org/projects?page[size]=10&page[after]=019adf7d-4513-7062-b292-78b86cc470a4",33 "last": "/v2/organizations/my-org/projects?page[size]=10&page[after]=019adf7d-4513-71ba-b264-21900edb4295"34 }35}